<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/TR/REC-html40"> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwAccessControl_ReviewChanges.pnl 
panel</title>
<link rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>
<table width="95%" border="1"><tbody>
<tr vAlign="top">
<td width="22%" bgColor="#00cc00"><strong>Panel Name</strong></td>
<td width="78%" colSpan="2">fwAccessControl/fwAccessControl_ReviewChanges.pnl</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Introduction<br></strong></td>
<td colSpan="2">
<p>Review Changes Panel</p>
<p>    
	<p>
	This panel is used to display the changes made to group or users (Figures 1 and 2).<br>
	It is called from the <a href="fwAccessControl_ConfirmChangeGroup.htm">Confirm Change Group</a> 
	or <a href="fwAccessControl_ConfirmChangeUser.htm">Confirm Change User</a>  
	if <span class="button">Review Changes</span> is pressed. <br>
    
	<div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_ReviewChanges_group.png"></td></tr>
<tr><td><span class="caption">Figure 1: Review Changes panel displaying changes in group</span></td></tr>
</table></div>
	<div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_ReviewChanges_user.png"></td></tr>
<tr><td><span class="caption">Figure 2: Review Changes panel displaying changes in user</span></td></tr>
</table></div>
	
	It can also be called from the <a href="fwAccessControl_EditGroup.htm">Edit Group</a>  panel
	or <a href="fwAccessControl_EditUser.htm">Edit User</a>  panel
	when <span class="button">Review</span> button is pressed (Figures 3 and 4).

	<div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_ReviewChanges_groupprivs.png"></td></tr>
<tr><td><span class="caption">Figure 3: Review Changes panel displaying changes in group's access rights</span></td></tr>
</table></div>
	<div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_ReviewChanges_usergroups.png"></td></tr>
<tr><td><span class="caption">Figure 4: Review Changes panel displaying changes in user's groups</span></td></tr>
</table></div>	
	</p>
    </p>
<br>
</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Instructions</strong></td>
<td colSpan="2"><dl></dl></td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Restrictions</strong></td>
<td colSpan="2"><ul></ul></td>
</tr>
</tbody></table>
<br><table width="95%" border="1"><tbody>
<tr bgColor="#00cc00"><td colSpan="3"><strong>Dollar Parameters</strong></td></tr>
<tr bgColor="#00cc00">
<td width="23%"><strong>Name</strong></td>
<td width="62%"><strong>Description</strong></td>
<td width="15%">&nbsp;</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$what</td>
<td> the type of objects in the list "groups", "access rights", etc;
	this is used to display the titles of <em>Added (...) </em> and <em>Removed (...) </em> frames.
	 </td>
<td>required</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$whatText</td>
<td> the text containing the description of the changes. 
	    Use "\n" character to enter new lines.
	 </td>
<td>required</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$addedItems</td>
<td> The list of items that will be contained in the 
    <em>Added items</em> list. One shoul cast a <code>dyn_string</code> list
    to a <code>string</code> variable to pass the list as the parameter - the list will
    be reconstructed properly in the panel.
    </td>
<td>required</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$removedItems</td>
<td> The list of items that will be contained in the 
    <em>Removed items</em> list. One shoul cast a <code>dyn_string</code> list
    to a <code>string</code> variable to pass the list as the parameter - the list will
    be reconstructed properly in the panel.
    </td>
<td>required</td>
</tr>
</tbody></table>
<br>

<br><a href="../../fwAccessControl.htm">
Back to the documentation of the
	    fwAccessControl
component.
	    </a> <br xmlns:html="http://www.w3.org/1999/xhtml"><hr xmlns:html="http://www.w3.org/1999/xhtml">
<font xmlns:html="http://www.w3.org/1999/xhtml" size="-1"> Piotr Golonka, <a href="http://cern.ch/itcobe">CERN IT/CO-BE</a></font>
</body></html>
